# Push Notifications

> **ALPHA**

#### Description
A `scheduling_conversations` object is added to the existing create channel endpoint allow your application to subscribe to scheduling conversation notifications for a particular account.

This can be used in addition to the optional `filters` parameter.

#### URL format
```
{data_center_url}/v1/channels
```

#### Example Request
```http
POST /v1/channels HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8

{
  "callback_url": {CALLBACK_URL},
  "scheduling_conversations": {
    "enabled": true
  }
}
```

This adds the following `notification_type` values.

Additional types:

- `scheduling_conversation_joined` sent when the account is added as a participant to a new Scheduling Conversation

- `scheduling_conversation_updated` sent when a scheduling conversation that the account is a participant in is updated

#### Example Request
```http
POST {CALLBACK_URL_PATH} HTTP/1.1
Host: {CALLBACK_URL_HOST}
Content-Type: application/json; charset=utf-8
Cronofy-HMAC-SHA256: {Base64(HmacSHA256(body_bytes, CLIENT_SECRET))}

{
  "notification": {
    "type": "scheduling_conversation_joined",
    "scheduling_conversation_id": "scv_55cfff7fb4af4c1027000005"
  },
  "channel": {
    "channel_id": "chn_54cf7c7cb4ad4c1027000001",
    "callback_url": {CALLBACK_URL},
    "scheduling_conversations": {
      "enabled": true
    }
  }
}
```

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).


---
[Read in HTML](/developers/api-alpha/scheduling-conversations/push-notifications/)